Loading...
Searching...
No Matches
robottestingframework::ResultEvent Class Reference

The ResultEvent class is used by a test collector to collect the result of the tests and the corresponding messages issued during the test run. More...

`#include <robottestingframework/ResultEvent.h>`

Inheritance diagram for robottestingframework::ResultEvent:
[legend]

## Public Member Functions

| ResultEvent ()
| ResultEvent constructor.
virtual | ~ResultEvent ()=default
| ~ResultEvent Destructor
| ResultEvent (const Test *test, TestMessage msg)
| ResultEvent constructor.
const Test * | getTest ()
| getTest get the test
TestMessage & | getMessage ()
| getMessage get the corresponding message

## Private Attributes

const Test * | test
TestMessage | message

## Detailed Description

The ResultEvent class is used by a test collector to collect the result of the tests and the corresponding messages issued during the test run.

Definition at line 35 of file ResultEvent.h.

## Constructor & Destructor Documentation

## ResultEvent() [1/2]

robottestingframework::ResultEvent::ResultEvent | ( |  | ) |

inline

ResultEvent constructor.

Definition at line 41 of file ResultEvent.h.

## ~ResultEvent()

virtual robottestingframework::ResultEvent::~ResultEvent | ( |  | ) |

virtual default

~ResultEvent Destructor

## ResultEvent() [2/2]

robottestingframework::ResultEvent::ResultEvent | ( | const Test * | test,
|  | TestMessage | msg )

inline

ResultEvent constructor.

Parameters

  test | pointer to a Test
  msg | the corresponding message issued by the test

Definition at line 56 of file ResultEvent.h.

## Member Function Documentation

## getMessage()

TestMessage & robottestingframework::ResultEvent::getMessage | ( |  | ) |

inline

getMessage get the corresponding message

Returns
  a TestMessage

Definition at line 75 of file ResultEvent.h.

## getTest()

const Test * robottestingframework::ResultEvent::getTest | ( |  | ) |

inline

getTest get the test

Returns
  a pointer to a Test

Definition at line 66 of file ResultEvent.h.

## Member Data Documentation

## message

TestMessage robottestingframework::ResultEvent::message

private

Definition at line 82 of file ResultEvent.h.

## test

const Test* robottestingframework::ResultEvent::test

private

Definition at line 81 of file ResultEvent.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/ResultEvent.h